Subject: Ticket Assigned - Returns
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Fri, 19 Mar 2021 15:21:32 +0000

Hi Fatma Maher,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns The returned item Mont Blanc Legend perfume gift pack without the perfume inside the box was finally picked up yesterday after numerous follow up. I have not received any acknowledgement of the return and any next step action refund.  And my record of purchases from your online shopping application was completely wiped out

This online shopping experience is quite frustrating as I felt cheated and yet there's no apology and appropriate action taken by your store.

Order Number: LM9640124060
Pick up Number: RPO30721002577

I hope this will my last time to exert unnecessary effort to redeem what was taken from me by your terrible service. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2271329